# HG changeset patch
# Node ID e118dc2e7308
# Parent  b9ef2851fdc0
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -964,14 +964,29 @@
 		* pidgin_append_blist_node_privacy_menu
 		* pidgin_append_blist_node_proto_menu
 		* pidgin_append_menu_action
+		* PidginBlistSortMethod
 		* pidgin_blist_add_alert
 		* pidgin_blist_draw_tooltip
+		* pidgin_blist_get_default_gtk_blist
+		* pidgin_blist_get_emblem
+		* pidgin_blist_get_handle
+		* pidgin_blist_get_name_markup
+		* pidgin_blist_get_sort_methods
 		* pidgin_blist_get_status_icon
 		* pidgin_blist_get_theme
+		* pidgin_blist_init
 		* pidgin_blist_layout_get_type
 		* pidgin_blist_make_buddy_menu
+		* pidgin_blist_node_is_contact_expanded
+		* pidgin_blist_query_tooltip_for_node
+		* pidgin_blist_refresh
 		* pidgin_blist_set_headline
 		* pidgin_blist_set_theme
+		* pidgin_blist_setup_sort_methods
+		* pidgin_blist_sort_function
+		* pidgin_blist_sort_method_reg
+		* pidgin_blist_sort_method_set
+		* pidgin_blist_sort_method_unreg
 		* pidgin_blist_theme_get_background_color
 		* pidgin_blist_theme_get_collapsed_background_color
 		* pidgin_blist_theme_get_collapsed_text_info
@@ -1008,11 +1023,13 @@
 		* pidgin_blist_theme_set_unread_message_text_info
 		* pidgin_blist_toggle_visibility
 		* pidgin_blist_tooltip_destroy
+		* pidgin_blist_uninit
 		* pidgin_blist_update_account_error_state
 		* pidgin_blist_update_accounts_menu
 		* pidgin_blist_update_columns
 		* pidgin_blist_update_plugin_actions
 		* pidgin_blist_update_refresh_timeout
+		* pidgin_blist_update_sort_methods
 		* pidgin_blist_visibility_manager_add
 		* pidgin_blist_visibility_manager_remove
 		* PidginBlistLayout
diff --git a/pidgin/gtkblist.h b/pidgin/gtkblist.h
--- a/pidgin/gtkblist.h
+++ b/pidgin/gtkblist.h
@@ -26,8 +26,6 @@
 #ifndef _PIDGINBLIST_H_
 #define _PIDGINBLIST_H_
 
-#include <gtk/gtk.h>
-
 #include <purple.h>
 
 #define PIDGIN_TYPE_BUDDY_LIST (pidgin_buddy_list_get_type())
@@ -39,33 +37,11 @@
  **************************************************************************/
 /**
  * PidginBuddyList:
- * @vbox:              This is the vbox that everything important gets packed
- *                     into.  Your plugin might want to pack something in it
- *                     itself.  Go, plugins!
- * @treeview:          It's a treeview... d'uh.
- * @treemodel:         This is the treemodel.
- * @text_column:       Column
- * @refresh_timer:     The timer for refreshing every 30 seconds
- * @selected_node:     The currently selected node
- * @scrollbook:        Scrollbook for alerts
  *
- * Like, everything you need to know about the gtk buddy list
+ * The remnants of the buddy list, soon to be lost to the wind.
  */
 struct _PidginBuddyList {
 	PurpleBuddyList parent;
-
-	GtkWidget *window;
-	GtkWidget *vbox;
-
-	GtkWidget *treeview;
-	GtkTreeStore *treemodel;
-	GtkTreeViewColumn *text_column;
-
-	GtkCellRenderer *text_rend;
-
-	GActionGroup *action_group;
-
-	PurpleBlistNode *selected_node;
 };
 
 G_BEGIN_DECLS
@@ -78,141 +54,6 @@
                      PurpleBuddyList)
 
 /**
- * pidgin_blist_get_handle:
- *
- * Get the handle for the GTK blist system.
- *
- * Returns: the handle to the blist system
- */
-void *pidgin_blist_get_handle(void);
-
-/**
- * pidgin_blist_init:
- *
- * Initializes the GTK blist system.
- */
-void pidgin_blist_init(void);
-
-/**
- * pidgin_blist_uninit:
- *
- * Uninitializes the GTK blist system.
- */
-void pidgin_blist_uninit(void);
-
-/**
- * pidgin_blist_get_default_gtk_blist:
- *
- * Returns the default gtk buddy list
- *
- * There's normally only one buddy list window, but that isn't a necessity. This function
- * returns the PidginBuddyList we're most likely wanting to work with. This is slightly
- * cleaner than an externed global.
- *
- * Returns: (transfer none): The default GTK buddy list.
- */
-PidginBuddyList *pidgin_blist_get_default_gtk_blist(void);
-
-/**
- * pidgin_blist_refresh:
- * @list:   This is the core list that gets updated from
- *
- * Refreshes all the nodes of the buddy list.
- * This should only be called when something changes to affect most of the nodes (such as a ui preference changing)
- */
-void pidgin_blist_refresh(PurpleBuddyList *list);
-
-/**
- * pidgin_blist_get_emblem:
- * @node:   The node to return an emblem for
- *
- * Returns the blist emblem.
- *
- * This may be an existing pixbuf that has been given an additional ref,
- * so it shouldn't be modified.
- *
- * Returns: (transfer full): A GdkPixbuf for the emblem to show, or NULL
- */
-GdkPixbuf *
-pidgin_blist_get_emblem(PurpleBlistNode *node);
-
-/**
- * pidgin_blist_node_is_contact_expanded:
- * @node: The node in question.
- *
- * Returns a boolean indicating if @node is part of an expanded contact.
- *
- * This only makes sense for contact and buddy nodes. %FALSE is returned
- * for other types of nodes.
- *
- * Returns: A boolean indicating if @node is part of an expanded contact.
- */
-gboolean pidgin_blist_node_is_contact_expanded(PurpleBlistNode *node);
-
-/**************************************************************************
- * GTK Buddy List sorting functions
- **************************************************************************/
-
-typedef void (*pidgin_blist_sort_function)(PurpleBlistNode *new, PurpleBuddyList *blist, GtkTreeIter group, GtkTreeIter *cur, GtkTreeIter *iter);
-
-/**
- * pidgin_blist_get_sort_methods:
- *
- * Gets the current list of sort methods.
- *
- * Returns: (transfer none) (element-type PidginBlistSortMethod): A GSlist of sort methods
- */
-GList *pidgin_blist_get_sort_methods(void);
-
-struct _PidginBlistSortMethod {
-	char *id;
-	char *name;
-	pidgin_blist_sort_function func;
-};
-
-typedef struct _PidginBlistSortMethod PidginBlistSortMethod;
-
-/**
- * pidgin_blist_sort_method_reg:
- * @id:   The unique ID of the sorting method
- * @name: The method's name.
- * @func: (scope call): A pointer to the function.
- *
- * Registers a buddy list sorting method.
- */
-void pidgin_blist_sort_method_reg(const char *id, const char *name, pidgin_blist_sort_function func);
-
-/**
- * pidgin_blist_sort_method_unreg:
- * @id: The method's id
- *
- * Unregisters a buddy list sorting method.
- */
-void pidgin_blist_sort_method_unreg(const char *id);
-
-/**
- * pidgin_blist_sort_method_set:
- * @id: The method's id.
- *
- * Sets a buddy list sorting method.
- */
-void pidgin_blist_sort_method_set(const char *id);
-
-/**
- * pidgin_blist_setup_sort_methods:
- *
- * Sets up the programs default sort methods
- */
-void pidgin_blist_setup_sort_methods(void);
-
-/**
- * pidgin_blist_update_sort_methods:
- *
- * Updates the Sorting menu on the GTK buddy list window.
- */
-void pidgin_blist_update_sort_methods(void);
-
-/**
  * pidgin_blist_joinchat_is_showable:
  *
  * Determines if showing the join chat dialog is a valid action.
@@ -229,31 +70,6 @@
  */
 void pidgin_blist_joinchat_show(void);
 
-/**
- * pidgin_blist_get_name_markup:
- * @buddy: The buddy to return markup from
- * @selected:  Whether this buddy is selected. If TRUE, the markup will not change the color.
- * @aliased:  TRUE to return the appropriate alias of this buddy, FALSE to return its username and status information
- *
- * Returns a buddy's Pango markup appropriate for setting in a GtkCellRenderer.
- *
- * Returns: The markup for this buddy
- */
-gchar *pidgin_blist_get_name_markup(PurpleBuddy *buddy, gboolean selected, gboolean aliased);
-
-/**
- * pidgin_blist_query_tooltip_for_node:
- * @node: The buddy list to query a tooltip for.
- * @tooltip: The tooltip object to add a tooltip to.
- *
- * Queries and creates a custom tooltip for a buddy list node.
- *
- * Returns: %TRUE if a custom tooltip was added, %FALSE otherwise.
- *
- * Since: 3.0.0
- */
-gboolean pidgin_blist_query_tooltip_for_node(PurpleBlistNode *node, GtkTooltip *tooltip);
-
 G_END_DECLS
 
 #endif /* _PIDGINBLIST_H_ */
